%global pypiname	ripe.atlas.sagan
%global srcname		ripe-atlas-sagan

%global deps_py3	python3-pyOpenSSL python3-dateutil python3-pytz python-IPy-python3
%global deps_extra_py3	python3-ujson
%global deps_tests_py3	python3-nose

%global deps_py2	python2-pyOpenSSL python2-dateutil python2-pytz python2-IPy
%global deps_extra_py2	python2-ujson
%global deps_tests_py2	python2-nose

Name:		python-%{srcname}
Version:	1.1.11
Release:	7%{?dist}
Summary:	A parsing library for RIPE Atlas measurement results

License:	GPLv3
URL:		https://pypi.python.org/pypi/ripe.atlas.sagan
Source0:	https://pypi.python.org/packages/source/r/%{pypiname}/%{pypiname}-%{version}.tar.gz

BuildArch:	noarch

%description
The ripe.atlas.sagan is a Python library for parsing RIPE Atlas measurement
results.

%package -n python3-%{srcname}
Summary:	A parsing library for RIPE Atlas measurement results
BuildRequires:	python3-devel
BuildRequires:	%deps_py3 %deps_extra_py3 %deps_tests_py3
Requires:	%deps_py3
Recommends:	%deps_extra_py3
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
The ripe.atlas.sagan is a Python library for parsing RIPE Atlas measurement
results.

This package contains the library for Python 3.

%package -n python2-%{srcname}
Summary:	A parsing library for RIPE Atlas measurement results
BuildRequires:	python2-devel
BuildRequires:	%deps_py2 %deps_extra_py2 %deps_tests_py2
Requires:	%deps_py2
Recommends:	%deps_extra_py2
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
The ripe.atlas.sagan is a Python library for parsing RIPE Atlas measurement
results.

This package contains the library for Python 2.

%prep
%setup -q -n %{pypiname}-%{version}

%build
%py2_build
%py3_build

%install
%py3_install
%py2_install

%check
%__python2 setup.py check nosetests
%__python3 setup.py check nosetests

%files -n python3-%{srcname}
%{!?_licensedir:%global license %%doc}
%doc README.rst
%license LICENSE
%{python3_sitelib}/*

%files -n python2-%{srcname}
%{!?_licensedir:%global license %%doc}
%doc README.rst
%license LICENSE
%{python2_sitelib}/*

%changelog
* Wed Feb 28 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.1.11-7
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.11-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.1.11-3
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.11-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Fri Jun 03 2016 Jan Vcelak <jvcelak@fedoraproject.org> - 1.1.11-1
- package import into Fedora
- new upstream release

* Wed Mar 09 2016 Jan Vcelak <jvcelak@fedoraproject.org> - 1.1.10-1
- new upstream release

* Thu Jan 21 2016 Jan Vcelak <jvcelak@fedoraproject.org> - 1.1.8-3
- rename the source RPM

* Tue Jan 19 2016 Jan Vcelak <jvcelak@fedoraproject.org> - 1.1.8-2
- remove parse_abuf script (it will be deprecated in the next release)

* Thu Dec 31 2015 Jan Vcelak <jvcelak@fedoraproject.org> - 1.1.8-1
- initial package
